CPAN::Audit::Filter(3pm)

NAME
CPAN::Audit::Filter - manage the reports / CVEs to ignore

SYNOPSIS
        use CPAN::Audit::Filter;

        my $filter = CPAN::Audit::Filter->new( exclude => $array_ref );

        my $query = CPAN::Audit::Query->new(...);
        my $advisories = $query->advisories_for( $distname, $version_range );

        foreach my $advisory ( $advisories->@* ) {
                next if $filter->excludes($advisory);
                ...
        }

DESCRIPTION

  Class methods

•   new( exclude => ARRAYREF )

    The values in the array ref for "exclude" are uppercased before they are stored.

  Instance methods

•   excludes( $advisory )

    Returns true if this instance excludes either the ID or any of the CVEs for ADVISORY, a hash as returned by CPAN::Audit::Query. This hash has these keys:

            id       - a string, such as Some-Module-001
            cves - an array reference of CVE strings, such as CVE-2022-001

    The values extracted from the hash are uppercased before use.

•   ignored_count

    Return the count of the advisories that were ignored. Each ID or CVE value only counts once.

LICENSE
Copyright (C) 2022 Graham TerMarsch

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.